curl -X POST https://api.growthbook.io/api/v1/saved-groups \
-d '{"name": "interal-users", "values": ["userId-123", "userId-345", "userId-678"], "attributeKey": "userId", "owner": ""}' \
-u secret_abc123DEF456:{
"savedGroup": {
"id": "<string>",
"type": "condition",
"dateCreated": "2023-11-07T05:31:56Z",
"dateUpdated": "2023-11-07T05:31:56Z",
"name": "<string>",
"owner": "<unknown>",
"condition": "<string>",
"attributeKey": "<string>",
"values": [
"<string>"
],
"description": "<string>",
"projects": [
"<string>"
]
}
}Documentation Index
Fetch the complete documentation index at: https://growthbook-preview.mintlify.app/llms.txt
Use this file to discover all available pages before exploring further.
If using Bearer auth, pass the Secret Key as the token:
curl https://api.growthbook.io/api/v1 \
-H "Authorization: Bearer secret_abc123DEF456"The display name of the Saved Group
The type of Saved Group (inferred from other arguments if missing)
condition, list When type = 'condition', this is the JSON-encoded condition for the group
When type = 'list', this is the attribute key the group is based on
When type = 'list', this is the list of values for the attribute key
The userId or email address of the owner. If an email address is provided, it will be used to look up the userId of the matching organization member. If an ID is provided, it will be validated as existing in the organization.
Success
Show child attributes
curl -X POST https://api.growthbook.io/api/v1/saved-groups \
-d '{"name": "interal-users", "values": ["userId-123", "userId-345", "userId-678"], "attributeKey": "userId", "owner": ""}' \
-u secret_abc123DEF456:{
"savedGroup": {
"id": "<string>",
"type": "condition",
"dateCreated": "2023-11-07T05:31:56Z",
"dateUpdated": "2023-11-07T05:31:56Z",
"name": "<string>",
"owner": "<unknown>",
"condition": "<string>",
"attributeKey": "<string>",
"values": [
"<string>"
],
"description": "<string>",
"projects": [
"<string>"
]
}
}